Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 559370 - net-misc/nx must force 'nls' USE flag on media-fonts/font-misc-misc
Summary: net-misc/nx must force 'nls' USE flag on media-fonts/font-misc-misc
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: NX Server Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-02 02:04 UTC by devsk
Modified: 2015-09-11 12:49 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description devsk 2015-09-02 02:04:49 UTC
x2goclient fails to create a session on the server where media-fonts/font-misc-misc is emerged with USE=-nls. We get:

Info: Using shared memory parameters 1/1/0/0K.
Info: Using alpha channel in render extension.
Info: Not using local device configuration changes.
keyboard file created
Error: Aborting session with 'Could not open default font 'fixed''.
Session: Aborting session at 'Tue May 26 23:22:22 2015'.
Session: Session aborted at 'Tue May 26 23:22:22 2015'. 

All the troubleshooting is described at:

http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=884
https://forums.gentoo.org/viewtopic-p-7754170.html

Basically, without USE=nls flag on media-fonts/font-misc-misc, nxagent does not function at all. So, requesting maintainer of net-misc/nx to add a dep on media-fonts/font-misc-misc package with 'nls' USE.

Reproducible: Always

Steps to Reproduce:
1. emerge x2goserver
2. emerge x2goclient
3. make a local session from client to server
Actual Results:  
Get a session

Expected Results:  
nxagent fails with errors.
Comment 1 devsk 2015-09-02 02:08:13 UTC
Although its stated before but its worth saying it clearly: Workaround is to 'USE=nls emerge media-fonts/font-misc-misc'
Comment 2 Bernard Cafarelli gentoo-dev 2015-09-07 20:35:10 UTC
Thanks for the research and report! Currently the font dependencies are in x2goserver itself, as some nx parts work fine without it (manual nxssh, …)
I'll probably fix it there, with font-cursor-misc along (both have had some use in x2go, and have minimal install without X and nls USE-flags)
Comment 3 Bernard Cafarelli gentoo-dev 2015-09-11 09:24:37 UTC
font-cursor-misc has a single font and changing the USE flag does not impact x2goserver, so I only added the dependency on font-misc-misc[nls] in all x2goserver ebuilds.

Thanks again!
Comment 4 devsk 2015-09-11 12:49:45 UTC
Thanks for your prompt action on this. I really appreciate that.